Subject: Announce: v1.174 t2html.pl Text to html converter in CPAN
From: Jari Aalto <[email-masked]>
Date: 3 May 1999 15:25:56 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Download

	ANNOUNCE: v1.174 t2html.pl Text to html conversion script, Perl 5.004+

	Home page:

	    ftp://cs.uta.fi/pub/ssjaaa/t2html.html

	Available at CPAN:

	    http://www.perl.com/CPAN-local//scripts/		

Description

        Writing text documents is different from writing messages to Usenet
        or to your fellow workers. There already exists several tools to
        convert email messages into html, like MHonArc, Email hyper
        archiver, but for regular text documents, like for memos, FAQs,
        help pages and for other papers, I didn't find any suitable html
        converter couple of years back.

        I wanted a simple html tool which would read text documents I
        maintained: several Emacs guides, procmail tips page, program
        documentations, my home pages etc. and convert them into html. And
        here you will find the specification how to format your text
        documents for *t2html* perl script.

	Program has html Link validation commands (uses LWP)

How it works

	Text must be placed at certain column positions to enable proper
	html formatting. The style used is called Technical format (TF).
	You're looking at TF format right now. TF specification is included
	in the t2html.pl --help.

        You need nothing else but a text editor where the current column
        number is displayed or editor that advances your TAB by 4 spaces.
        That's it.

Comparision to existing txt2html.pl

	The t2html.pl is different that text2html.pl in following respect:

	[t2html]

	o   Requires that you really format your text into
	    TF layout like this message. This ensures that all your documents
	    look similar.
	o   was designed to meet requirements of formally written
	    text, such as official MEMOs, FAQs, drafs, lectures...
	o   Generates coloured html pages: --html-colour
	o   Generates Framed html pages: --html-frame
	o   Generates CSS2 style sheen into html code.

	[text2html]

	o   txt2html.pl uses normal text file and requires no previous
	    markup.

Emacs and minor mode for helping to write TF

        If word `Emacs' means anything to you, then you can use additional
        Emacs minor mode (package TinyTf.el) that I wrote especially to
        help writing documents, formatting paragraphs, auto filling bullets
        and keeping TOC up to date. The description of the Emacs package is
        added to the page. If you don't know about Emacs but got
        interested, then see these for more Emacs info:

            ftp://cs.uta.fi/pub/ssjaaa/elisp.html
            ftp://cs.uta.fi/pub/ssjaaa/ema-tiny.html
            ftp://cs.uta.fi/pub/ssjaaa/tiny-tools.tar.gz  (contains tinytf.el)
End